PDA

View Full Version : rhythmbox stopped playing mp3 files - FC5



alainl
27th October 2006, 08:24 PM
Hi everyone,

For some unexplained reason rhythmbox has stopped playing my mp3 files. I worked fine for the last few months. When I try to play one I get the message:

Message: don't know how to handle audio/mpeg, mpegversion=(int)1, layer=(int)3

and when I try to import them I get the message

the gstreamer plugin to decode mp3 files can not be found.

I removed and reinstalled everything just to be sure I had everything, including gstreamer-plugins-ugly. Sound-juicer is still working fine: I can still create mp3 files and play them with realplayer. Anyone has any idea what could have happened and how to fix it.

Thanks,

A

jim
27th October 2006, 08:44 PM
look in ~/.gnome2/rhythmbox

clear the files out and reimport

normandro
28th October 2006, 04:18 AM
Something is definitely broken. I had the same problem on my system at work after reboot.

I decided to restart rhythmbox on a 2nd system at home which was working and it stopped working after that. Moved .gnome/rhythmbox directory to "old ". I restarted rhythmbox and tried to reimport some mp3 files. Something is broken. I suspect that a recent update is responsible. Switched to Juk which is still working. My FC5 setup is based on the instructions found at fedorafaq.org.

Normand

iamroot
28th October 2006, 05:39 AM
Reinstall?

d4v1d04
28th October 2006, 09:54 AM
I have had the exact same problem with Rhythmbox on my PC...
After looking through the yum log, the only thing that I could see having an effect was that gstreamer-plugins-ugly had been updated through the livna repo, so I'm guessing perhaps they've changed something incorrectly, and will be releasing an update for it? I've checked on their site and they've made no mention of it being modified. :confused:

Guess we'll just have to wait and see

jgxenite
28th October 2006, 11:38 PM
Hi all,

It seems that Rhythmbox is now in version 0.9, and I think Livna only has the plugins for 0.8. Anybody know how to fix this to make it work in 0.9?

James

jgxenite
28th October 2006, 11:50 PM
Slight correction there - gstreamer is now 0.10, not 0.8 as on the Livna repository.

I guess that until Livna upgrade their packages, we are stuck with a non-MP3 playing Rhythmbox.

Let's break out the VLC...

James

ArcaneRaven
29th October 2006, 04:06 AM
I had the same problem earlier this weekend, and I tracked it down to the new gstreamer-plugins-ugly (0.10.4-3) from livna. For some reason, mp3 decoding doesn't seem to work with this version. They'll probably fix it soon enough, but you can downgrade to gstreamer-plugins-ugly 0.10.2-2 (also at rpm.livna.org) and see if that fixes the problem.

jgxenite
29th October 2006, 04:35 AM
Anybody know how to downgrade your packages AND keep yum from updating them the next time you type "yum update"?

James

ArcaneRaven
29th October 2006, 05:56 AM
'yum remove gstreamer-plugins-ugly' will remove the current package.

After that, you can type 'rpm -ivh http://rpm.livna.org/fedora/5/i386/gstreamer-plugins-ugly-0.10.2-1.lvn5.i386.rpm' to install the older package.

To exclude gstreamer-plugins-ugly from your next yum update:

'yum --exclude=gstreamer-plugins-ugly update'

Or edit the yum.conf file (at /etc/yum.conf) and add the following line:
exclude=gstreamer-plugins-ugly

Then you can just type 'yum update' and have it ignore gstreamer-plugins-ugly until you remove the line (whenever they fix the livna package).

jgxenite
29th October 2006, 10:22 AM
Ah, thanks! I knew how to remove and re-install it but not that you could type the exclude into the Yum config file.

James

jgxenite
29th October 2006, 10:26 AM
Just to confirm, your solution works fine! I uninstalled gstreamer-plugins-ugly, re-installed the older version, excluded it from yum and tried Rhythmbox. Clicked on the first MP3 in my playlist and voilą, playing fine!

Thanks!

James

normandro
30th October 2006, 04:05 AM
I submitted a bug report to livna.
http://bugzilla.livna.org/show_bug.cgi?id=1234

jgxenite
30th October 2006, 10:22 AM
Hi,

Turns out that your bug submission is actually a repeat of this bug: http://bugzilla.livna.org/show_bug.cgi?id=1233. However, they know about this problem and should be able to issue a fix to it soon.

James

alainl
30th October 2006, 03:27 PM
Just updated this morning (general system update with yum) and everything is now working. I noticed that among the packages being updated there was lame and gstreamer-plugins-ugly.

jgxenite
31st October 2006, 12:08 AM
I can confirm that the new release of gstreamer-plugins-ugly works fine for me. The latest release version is 0.10.4-3.lvn5.1.

James

normandro
31st October 2006, 05:31 AM
Fixed for me too following general yum update

samfraser
22nd June 2007, 08:20 PM
I also have this problem where it wont import any folders, rubbish man! Just save yourselves some headache an use itunes on windows.

jgxenite
22nd June 2007, 08:27 PM
Just a minute... why would we be using iTunes when that doesn't work on Linux...?

James